using KarleyLibrary.Attributes;
using System;

namespace WK5.Core.OnlineShop.Models
{
    public class ShopOrderOption
    {
        [CompareField("order_option_id")]
        public int OrderOptionId { get; set; }
        [CompareField("order_id")]
        public int OrderId { get; set; }
        [CompareField("order_product_id")]
        public int OrderProductId { get; set; }
        [CompareField("product_option_id")]
        public int ProductOptionId { get; set; }
        [CompareField("product_option_value_id")]
        public int ProductOptionValueId { get; set; }
        public string Name { get; set; } = String.Empty;
        public string Value { get; set; } = String.Empty;
        public string Type { get; set; } = String.Empty;
    }
}
